--- alsa-info.sh	2008-06-17 02:53:27.000000000 +1000
+++ alsa-info.sh.wishie	2008-07-01 02:25:46.000000000 +1000
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-SCRIPT_VERSION=0.4.48
+SCRIPT_VERSION=0.4.49
 CHANGELOG="http://www.alsa-project.org/alsa-info.sh.changelog"
 
 #################################################################################
@@ -288,6 +288,12 @@
 cat /proc/asound/modules 2>/dev/null|awk {'print $2'}>/tmp/alsainfo/alsamodules.tmp
 cat /proc/asound/cards >/tmp/alsainfo/alsacards.tmp
 lspci |grep -i "multi\|audio">/tmp/alsainfo/lspci.tmp
+if [ -d $SYSFS ]
+then
+BOARD_VENDOR=`cat /sys/devices/virtual/dmi/id/board_vendor`
+PRODUCT_VERSION=`cat /sys/devices/virtual/dmi/id/product_version`
+PRODUCT_NAME=`cat /sys/devices/virtual/dmi/id/product_name`
+fi
 
 #Check for HDA-Intel cards codec#*
 cat /proc/asound/card*/codec\#* > /tmp/alsainfo/alsa-hda-intel.tmp 2> /dev/null
@@ -311,6 +317,15 @@
 echo $DISTRO >> $FILE
 echo "" >> $FILE
 echo "" >> $FILE
+if [ -d $SYSFS ]
+then
+echo "!!Hardware Information" >> $FILE
+echo "!!--------------------" >> $FILE
+echo "Board Vendor:		$BOARD_VENDOR" >> $FILE
+echo "Product:		$PRODUCT_VERSION ($PRODUCT_NAME)" >> $FILE
+echo "" >> $FILE
+echo "" >> $FILE
+fi
 echo "!!Kernel Information" >> $FILE
 echo "!!------------------" >> $FILE
 echo "" >> $FILE
